Обход ограничений безопасности в Apache Geronimo

Дата публикации:
27.09.2007
Дата изменения:
01.11.2007
Всего просмотров:
1493
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-4548
CVE-2007-5085
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apache Geronimo 2.x
Уязвимые версии: Apache Geronimo 2.0.1, 2.1 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за некорректной реализации процесса аутентификации в методе login() в LoginModule. Удаленный пользователь может с помощью пустого имени пользователя обойти процесс аутентификации и получить административный доступ к приложению.

2. Уязвимость существует из-за ошибки в интерфейсе управления EJB (MEJB). Удаленный пользователь может получить доступ к важным данным на системе.

URL производителя: geronimo.apache.org

Решение: Установите исправление с сайта производителя.

или введите имя

CAPTCHA
01-10-2007 09:36:47
>> с помощью пустого омени пользователя стандартный баг. когда же на такие тривиальные ошибки проверять будут? "омень"
0 |